Package net.shibboleth.profile.relyingparty.impl

# Class CriteriaDecryptionConfigurationResolver

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.profile.relyingparty.impl.BaseCriteriaRelyingPartyConfiigurationResolver<List<DecryptionConfiguration>>
net.shibboleth.profile.relyingparty.impl.CriteriaDecryptionConfigurationResolver

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`, `Resolver<List<DecryptionConfiguration>,CriteriaSet>`

public class CriteriaDecryptionConfigurationResolver extends BaseCriteriaRelyingPartyConfiigurationResolver<List<DecryptionConfiguration>>
Resolver which uses an instance of `RelyingPartyConfigurationResolver` to resolve a list of `DecryptionConfiguration` applicable for a peer entity.

The required and allowed criteria are the same as the `RelyingPartyConfigurationResolver` implementation in use. Also supports an optional `ProfileIDCriterion`, which if supplied is used to resolve the profile-specific configuration.

## Constructor Summary

Constructors
Constructor
Description
`CriteriaDecryptionConfigurationResolver()`

## Method Summary

Modifier and Type
Method
Description
`private List<DecryptionConfiguration>`
`buildConfigList(RelyingPartyConfiguration rpc, ProfileRequestContext prc, CriteriaSet criteria)`
Build the list of configurations.
`Iterable<List<DecryptionConfiguration>>`
`resolve(CriteriaSet criteria)`
`List<DecryptionConfiguration>`
`resolveSingle(CriteriaSet criteria)`

### Methods inherited from class net.shibboleth.profile.relyingparty.impl.BaseCriteriaRelyingPartyConfiigurationResolver

`doDestroy, doInitialize, resolveRelyingPartyConfiguration, setId, setRelyingPartyConfigurationResolver`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Constructor Details

### CriteriaDecryptionConfigurationResolver

public CriteriaDecryptionConfigurationResolver()

## Method Details

### resolve

@Nonnull public Iterable<List<DecryptionConfiguration>> resolve(@Nullable CriteriaSet criteria) throws ResolverException

Throws:
  `ResolverException`

### resolveSingle

@Nullable public List<DecryptionConfiguration> resolveSingle(@Nullable CriteriaSet criteria) throws ResolverException

Throws:
  `ResolverException`

### buildConfigList

@Nonnull private List<DecryptionConfiguration> buildConfigList(@Nonnull RelyingPartyConfiguration rpc, @Nonnull ProfileRequestContext prc, CriteriaSet criteria)
Build the list of configurations.

Parameters:
  `rpc` - the relying party configuration
  `prc` - the synthetic profile request context
  `criteria` - the input criteria
Returns:
  the list of configurations